./devel/emacs20-elib, Library of utility functions for Emacs

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.0nb4, Package name: emacs20-elib-1.0nb4, Maintainer: pkgsrc-users

This is the source directory for the GNU emacs lisp library Elib
version 1.0. Elib is designed to be for Elisp programs what libg++ is
for C++ programs: a collection of useful routines which don't have to
be reinvented each time a new program is written.

Elib contains code for:
- container data structures (queues, stacks, AVL trees, etc)
- string handling functions missing in standard emacs
- minibuffer handling functions missing in standard emacs
- routines for handling lists of so called cookies in a buffer.

This package uses emacs from the version 20 series. In order to use
it with any other version, install devel/elib.


Required to run:
[editors/emacs24]

Required to build:
[devel/gmake]

Master sites:

SHA1: 1f7450a949a2388efadece015aba53bbbada62cf
RMD160: 8a2584fd7399394b40871e0d8bc1315d9c86a290
Filesize: 56.968 KB

Version history: (Expand)


CVS history: (Expand)


   2013-02-17 20:18:11 by David A. Holland | Files touched by this commit (90)
Log message:
Revbump all elisp packages after emacs changes.
   2006-09-10 15:17:23 by OBATA Akio | Files touched by this commit (1)
Log message:
"emacs20" is not valid for EMACS_TYPE.
Using EMACS_VERSIONS_ACCEPTED instead.
   2006-08-27 04:14:07 by Min Sik Kim | Files touched by this commit (1) | Package updated
Log message:
Explicitly specify which version of emacs should be used.  Previously,
it was built with emacs21 although its package name suggested that it
should be built with emacs20.

Bump PKGREVISION.
   2006-05-26 21:33:36 by Joerg Sonnenberger | Files touched by this commit (3)
Log message:
Actually create two packages from devel/elib and devel/emacs20-elib.
Bump both revisions.
   2006-02-06 00:11:50 by Joerg Sonnenberger | Files touched by this commit (4082)
Log message:
Recursive revision bump / recommended bump for gettext ABI change.
   2005-12-05 21:51:20 by Roland Illig | Files touched by this commit (1432)
Log message:
Fixed pkglint warnings. The warnings are mostly quoting issues, for
example MAKE_ENV+=FOO=${BAR} is changed to MAKE_ENV+=FOO=${BAR:Q}. Some
other changes are outlined in

    http://mail-index.netbsd.org/tech-pkg/2 … /0034.html
   2003-11-18 17:29:50 by Quentin Garnier | Files touched by this commit (3) | Package updated
Log message:
o Register conflict between elib and emacs20-elib in elib's Makefile
o Make it so PKGREVISION bumps of elib don't affect emacs20-elib
o Bump PKGREVISION of elib and pcl-cvs
   2003-11-18 17:22:34 by Quentin Garnier | Files touched by this commit (2) | Imported package
Log message:
Initial import of emacs20-elib into the NetBSD Package Collection.  It is
a rip-off of devel/elib, that depends on solely on emacs20, to make
packaging possible for the various packages that use devel/elib.